import { Component, Input, ViewEncapsulation } from '@angular/core';
import { default as Prism } from 'prismjs';
export class PrismComponent {
    constructor() {
        this.async = false;
        this.callback = undefined;
    }
    ngAfterViewChecked() {
        this.highlightAll(this.async, this.callback);
    }
    highlightElement(element, async, callback) {
        Prism.highlightElement(element, async, callback);
    }
    highlightAll(async, callback) {
        Prism.highlightAll(async, callback);
    }
}
PrismComponent.decorators = [
    { type: Component, args: [{
                encapsulation: ViewEncapsulation.None,
                selector: 'prism-highlight',
                template: `<pre class="language-{{language}}" *ngIf="language"><code class="language-{{language}}"><ng-content></ng-content></code></pre>`
            },] },
];
PrismComponent.ctorParameters = () => [];
PrismComponent.propDecorators = {
    'async': [{ type: Input, args: ['async',] },],
    'callback': [{ type: Input, args: ['callback',] },],
    'language': [{ type: Input, args: ['language',] },],
};
//# sourceMappingURL=prism.component.js.map